generic version of the CLUE mode, a combination of exploration, authoring, and normalization

### Hierarchy

- CLUEMode

## Index

### Constructors

- constructor

### Accessors

- authoring
- exploration
- isAtomic
- presentation

### Methods

- toString
- value

## Constructors

### constructor

- new CLUEMode(exploration: number, authoring: number, presentation: number): CLUEMode

- - Defined in mode.ts:23

  #### Parameters

  - ##### exploration: number

  - ##### authoring: number

  - ##### presentation: number

  #### Returns CLUEMode

## Accessors

### authoring

authoring:

- Defined in mode.ts:33

### exploration

exploration:

- Defined in mode.ts:29

### isAtomic

isAtomic:

- Defined in mode.ts:55

whether this mode is extreme, i.e., in one corner of the triangle

### presentation

presentation:

- Defined in mode.ts:37

## Methods

### toString

- toString(): string

- - Defined in mode.ts:59

  #### Returns string

### value

- value(index: number | string): number

- - Defined in mode.ts:41

  #### Parameters

  - ##### index: number | string

  #### Returns number

Generated using TypeDoc